import { KeyMetadata as $64$luvio_engine_KeyMetadata, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Luvio as $64$luvio_engine_Luvio, IngestPath as $64$luvio_engine_IngestPath, Store as $64$luvio_engine_Store, BaseFragment as $64$luvio_engine_BaseFragment, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap } from '@luvio/engine';
export declare const TTL = 100;
export declare const VERSION = "318ac9ee34fe90764a782a1b3eac7d16";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export interface KeyParams extends $64$luvio_engine_KeyMetadata {
    id: string;
}
export type CdpQueryOutputRepresentationNormalizedKeyMetadata = KeyParams & $64$luvio_engine_NormalizedKeyMetadata;
export type PartialCdpQueryOutputRepresentationNormalizedKeyMetadata = Partial<KeyParams> & $64$luvio_engine_NormalizedKeyMetadata;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: KeyParams): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: KeyParams): CdpQueryOutputRepresentationNormalizedKeyMetadata;
export declare function keyBuilderFromType(luvio: $64$luvio_engine_Luvio, object: CdpQueryOutputRepresentation): string;
export declare function keyBuilderFromType_StructuredKey(luvio: $64$luvio_engine_Luvio, object: CdpQueryOutputRepresentation): $64$luvio_engine_NormalizedKeyMetadata;
export declare function normalize(input: CdpQueryOutputRepresentation, existing: CdpQueryOutputRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): CdpQueryOutputRepresentationNormalized;
export declare const select: () => $64$luvio_engine_BaseFragment;
export declare function equals(existing: CdpQueryOutputRepresentationNormalized, incoming: CdpQueryOutputRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: CdpQueryOutputRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Represents Cdp Query output
 *
 * Keys:
 *    id (string): queryId
 */
export interface CdpQueryOutputRepresentationNormalized {
    /** Result data set */
    data: Array<{}>;
    /** Query start time */
    done: boolean;
    /** Query end time */
    endTime: string;
    /** Query start time */
    metadata: {
        [key: string]: {};
    };
    /** Query Id */
    queryId: string;
    /** Query start time */
    rowCount: number;
    /** Query start time */
    startTime: string;
}
/**
 * Represents Cdp Query output
 *
 * Keys:
 *    id (string): queryId
 */
export interface CdpQueryOutputRepresentation {
    data: Array<{}>;
    done: boolean;
    endTime: string;
    metadata: {
        [key: string]: {};
    };
    queryId: string;
    rowCount: number;
    startTime: string;
}
